Bug 78078 - gcc-2.96-113 segv's when compiling kernel 2.4.18-10
gcc-2.96-113 segv's when compiling kernel 2.4.18-10
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-18 15:05 EST by Dan Christian
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 16:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Christian 2002-11-18 15:05:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
When compiling 2.4.18-10 (no others tried), gcc fails with a segmentation fault.
 If you disable that module (DRM i830), then it fails somewhere else.

Everything builds fine with 2.96-112

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cd /usr/src/linux-2.4
2. cp configs/configs/kernel-2.4.18-athlon.config .config
3. make xconfig
4. make rpm (or just "make")
	

Actual Results:  ld -m elf_i386 -r -o i830.o i830_drv.o i830_dma.o 
cc  -D__KERNEL__ -I/usr/src/redhat/BUILD/kernel-2.4.1810custom/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing
-fno-common -Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i686
-malign-functions=4  -DMODULE  -DKBUILD_BASENAME=sis_drv  -c -o sis_drv.o sis_drv.c
In file included from sis_drv.c:65:
drm_drv.h: In function `drm_cleanup':
drm_drv.h:662: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[4]: *** [sis_drv.o] Error 2
make[4]: Leaving directory
`/usr/src/redhat/BUILD/kernel-2.4.1810custom/drivers/char/drm'

If you disable that module, then it fails here:

cc  -D__KERNEL__ -I/usr/src/redhat/BUILD/kernel-2.4.1810custom/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing
-fno-common -Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i686
-malign-functions=4  -DMODULE  -DKBUILD_BASENAME=sb1000  -c -o sb1000.o sb1000.c
sb1000.c: In function `sb1000_dev_ioctl':
sb1000.c:1101: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [sb1000.o] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/kernel-2.4.1810custom/drivers/net'


Additional info:
Comment 1 Vladimir Makarov 2004-10-01 16:43:44 EDT
gcc-2.96 is too old now.  Its release cycle was finished long ago. 
Therefore we are closing the bug.  If it is still important, the
customer could reopen the case.




Note You need to log in before you can comment on or make changes to this bug.